# Basic settings for running in production. Change accordingly before deploying the server.

# Database

# The database vendor.
db=postgres

# The username of the database user.
db-username={{ postgresql_user_name }}

# The password of the database user.
db-password={{ postgresql_user_password }}

# The full database JDBC URL. If not provided, a default URL is set based on the selected database vendor.
db-url={{ db_url }}

# Observability

# If the server should expose healthcheck endpoints.
#health-enabled=true

# If the server should expose metrics endpoints.
#metrics-enabled=true

# HTTP

# The file path to a server certificate or certificate chain in PEM format.
https-certificate-file={{ keycloak_conf}}/server.crt.pem

# The file path to a private key in PEM format.
https-certificate-key-file={{ keycloak_conf }}/server.key.pem

# The proxy address forwarding mode if the server is behind a reverse proxy.
#proxy=reencrypt

# Do not attach route to cookies and rely on the session affinity capabilities from reverse proxy
#spi-sticky-session-encoder-infinispan-should-attach-route=false

# Hostname for the Keycloak server.
hostname={{ keycloak_hostname }}:{{ keycloak_port }}


log-console-output=default
log=console,file
log-file=/tmp/keycloak.log